## plasma-nm 6.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-networkmanagement)

set(PROJECT_VERSION "6.5.1")

set(PROJECT_DEP_VERSION "6.5.1")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

################# set KDE specific information #################

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

option(BUILD_OPENCONNECT "Build OpenConnect VPN plugin" ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Network
    Quick
    QuickWidgets
    Widgets
)

find_package(PkgConfig REQUIRED)

if(BUILD_OPENCONNECT)
    pkg_check_modules(OPENCONNECT IMPORTED_TARGET openconnect>=3.99)
    if(NOT TARGET PkgConfig::OPENCONNECT)
        set(BUILD_OPENCONNECT OFF)
    endif()
endif()

if(BUILD_OPENCONNECT)
    find_package(Qt6WebEngineWidgets ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
    ColorScheme
    Completion
    CoreAddons
    DBusAddons
    KIO
    I18n
    NetworkManagerQt
    Notifications
    Service
    Solid
    Wallet
    WidgetsAddons
    WindowSystem
    KCMUtils
    Svg
    ModemManagerQt
)

find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)

ecm_find_qmlmodule(org.kde.prison 1.0)

find_package(KF6Kirigami ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by the KCMs"
    TYPE RUNTIME
)

find_package(Qca-qt6 2.1.0)
set_package_properties(Qca-qt6 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "https://download.kde.org/stable/qca-qt5/"
                       TYPE REQUIRED)

find_package(KF6Prison ${KF6_MIN_VERSION})
set_package_properties(KF6Prison PROPERTIES DESCRIPTION "Prison library"
                       URL "https://commits.kde.org/prison"
                       TYPE RUNTIME
                       PURPOSE "Needed to create mobile barcodes for WiFi networks"
                      )

pkg_check_modules(NETWORKMANAGER IMPORTED_TARGET libnm>1.4.0 REQUIRED)
pkg_check_modules(MOBILEBROADBANDPROVIDERINFO mobile-broadband-provider-info)
pkg_get_variable(BROADBANDPROVIDER_DATABASE mobile-broadband-provider-info database)

find_package(QCoro6 REQUIRED COMPONENTS Core DBus)

qcoro_enable_coroutines()

ecm_set_disabled_deprecation_versions(QT 5.15
    KF 6.4.0
)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

add_subdirectory(applet)
add_subdirectory(kded)
add_subdirectory(kcms)
add_subdirectory(libs)
add_subdirectory(vpn)

# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

install(FILES org.kde.vpnimport.desktop DESTINATION ${KDE_INSTALL_APPDIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
        EXPORT PLASMANM
        FILE plasma-nm.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== vpn/fortisslvpn/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_fortisslvpnui\")



add_library(plasmanetworkmanagement_fortisslvpnui MODULE)
target_sources(plasmanetworkmanagement_fortisslvpnui PRIVATE
    fortisslvpn.cpp
    fortisslvpnwidget.cpp
    fortisslvpnauth.cpp
    fortisslvpn.h
    fortisslvpnwidget.h
    fortisslvpnauth.h
)
ki18n_wrap_ui(plasmanetworkmanagement_fortisslvpnui fortisslvpn.ui fortisslvpnadvanced.ui fortisslvpnauth.ui)

target_link_libraries(plasmanetworkmanagement_fortisslvpnui
    plasmanm_internal
    plasmanm_editor
    KF6::CoreAddons
    KF6::I18n
    KF6::KIOWidgets
    KF6::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_fortisslvpnui  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)

=== vpn/l2tp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_l2tpui\")



add_library(plasmanetworkmanagement_l2tpui MODULE)
target_sources(plasmanetworkmanagement_l2tpui PRIVATE
    l2tp.cpp
    l2tpwidget.cpp
    l2tpauth.cpp
    l2tpipsecwidget.cpp
    l2tppppwidget.cpp
    l2tp.h
    l2tpwidget.h
    l2tpauth.h
    l2tpipsecwidget.h
    l2tppppwidget.h
)
ki18n_wrap_ui(plasmanetworkmanagement_l2tpui l2tp.ui l2tpipsec.ui l2tpppp.ui)

target_link_libraries(plasmanetworkmanagement_l2tpui
    plasmanm_internal
    plasmanm_editor
    KF6::CoreAddons
    KF6::I18n
    KF6::KIOWidgets
    KF6::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_l2tpui  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)

=== vpn/pptp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_pptpui\")


add_library(plasmanetworkmanagement_pptpui MODULE)
target_sources(plasmanetworkmanagement_pptpui PRIVATE
   pptp.cpp
   pptpwidget.cpp
   pptpauth.cpp
   pptp.h
   pptpwidget.h
   pptpauth.h
   )
ki18n_wrap_ui(plasmanetworkmanagement_pptpui pptpprop.ui pptpadvanced.ui pptpauth.ui)

target_link_libraries(plasmanetworkmanagement_pptpui
    plasmanm_internal
    plasmanm_editor
    KF6::CoreAddons
    KF6::I18n
    KF6::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_pptpui  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)

=== debian/changelog ===
plasma-nm (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:16:14 +0100

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6completion-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6modemmanagerqt-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libnm-dev (>= 1.4.0~),
               libopenconnect-dev (>= 3.99~),
               libplasma-dev (>= 6.5.1~),
               libqca-qt6-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-webengine-dev (>= 6.9.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-nm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nm.git

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-networkmanager,
         qml6-module-org-kde-prison,
         qml6-module-org-kde-quickcharts,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kwallet6,
            systemsettings,
Suggests: network-manager-fortisslvpn,
          network-manager-iodine,
          network-manager-l2tp,
          network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-ssh,
          network-manager-strongswan,
          network-manager-vpnc,
Description: Plasma network connections management
 plasma-nm provides a Plasma applet written in QML for managing network
 connections using Network Manager.
 .
 This package is part of the KDE Plasma.

## plasma-nm 6.5.1+p24.04+vstable+git20251029.0735

=== vpn/openvpn/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_openvpnui\")

add_library(plasmanetworkmanagement_openvpnui MODULE)
target_sources(plasmanetworkmanagement_openvpnui PRIVATE
    openvpn.cpp
    openvpnwidget.cpp
    openvpnauth.cpp
    openvpnadvancedwidget.cpp
    openvpn.h
    openvpnwidget.h
    openvpnauth.h
    openvpnadvancedwidget.h
)
ecm_qt_declare_logging_category(plasmanetworkmanagement_openvpnui HEADER plasma_nm_openvpn.h IDENTIFIER PLASMA_NM_OPENVPN_LOG CATEGORY_NAME org.kde.plasma.nm.openvpn DESCRIPTION "Plasma NM (openvpn plugins)" EXPORT PLASMANM)
ki18n_wrap_ui(plasmanetworkmanagement_openvpnui openvpn.ui openvpnadvanced.ui)

target_link_libraries(plasmanetworkmanagement_openvpnui
    plasmanm_internal
    plasmanm_editor
    KF6::CoreAddons
    KF6::I18n
    KF6::WidgetsAddons
    KF6::KIOWidgets
)

install(TARGETS plasmanetworkmanagement_openvpnui  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)

=== debian/changelog ===
plasma-nm (4:6.5.1+p24.04+vstable+git20251029.0735-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:35:43 +0000

plasma-nm (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:58:12 +0000

## plasma-nm 6.5.1+p24.04+vstable+git20251030.0409

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(plasma-networkmanagement)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
plasma-nm (4:6.5.1+p24.04+vstable+git20251030.0409-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 04:09:52 +0000

## plasma-nm 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(PROJECT_VERSION "6.5.2")
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== kded/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement-kded\")

add_library(kded_networkmanagement MODULE)

target_sources(kded_networkmanagement PRIVATE
    bluetoothmonitor.cpp
    connectivitymonitor.cpp
    notification.cpp
    monitor.cpp
    passworddialog.cpp
    secretagent.cpp
    service.cpp
    bluetoothmonitor.h
    connectivitymonitor.h
    notification.h
    monitor.h
    passworddialog.h
    secretagent.h
    service.h
    modemmonitor.cpp
    modemmonitor.h
    pindialog.cpp
    pindialog.h
)

ki18n_wrap_ui(kded_networkmanagement
    passworddialog.ui
    pinwidget.ui
)

ecm_qt_declare_logging_category(kded_networkmanagement HEADER plasma_nm_kded.h IDENTIFIER PLASMA_NM_KDED_LOG CATEGORY_NAME org.kde.plasma.nm.kded DESCRIPTION "Plasma NM (kded)" EXPORT PLASMANM)


set_target_properties(kded_networkmanagement PROPERTIES OUTPUT_NAME networkmanagement)

target_link_libraries(kded_networkmanagement
    plasmanm_internal
    plasmanm_editor
    KF6::ConfigCore
    KF6::DBusAddons
    KF6::I18n
    KF6::Notifications
    KF6::Service
    KF6::Solid
    KF6::Wallet
    KF6::WindowSystem
    KF6::KIOGui
    KF6::ModemManagerQt
)

install(TARGETS kded_networkmanagement DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)

install(FILES networkmanagement.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== kcms/kcm_cellularnetwork/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

kcmutils_add_qml_kcm(kcm_cellular_network)

target_sources(kcm_cellular_network PRIVATE
    cellularnetworksettings.cpp
    modem.cpp
    modemdetails.cpp
    sim.cpp
    mobileproviders.cpp
    profilesettings.cpp
)
target_link_libraries(kcm_cellular_network PRIVATE
    Qt::DBus
    Qt::Gui
    Qt::Quick
    Qt::Qml
    Qt::Xml
    Plasma::Plasma
    KF6::I18n
    KF6::NetworkManagerQt
    KF6::ModemManagerQt
    KF6::KCMUtilsQuick
    QCoro::DBus
)

=== kcms/kcm_wifi_mobile/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Martin Kacej <m.kacej@atlas.sk>
# SPDX-License-Identifier: LGPL-2.0-or-later

kcmutils_add_qml_kcm(kcm_mobile_wifi SOURCES wifisettings.cpp)
target_link_libraries(kcm_mobile_wifi PRIVATE
    Qt::DBus
    Qt::Gui
    Qt::Quick
    Qt::Qml
    KF6::I18n
    KF6::NetworkManagerQt
    Plasma::Plasma
    KF6::KCMUtilsQuick
)

=== vpn/iodine/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_iodineui\")



add_library(plasmanetworkmanagement_iodineui MODULE)
target_sources(plasmanetworkmanagement_iodineui PRIVATE
    iodine.cpp
    iodinewidget.cpp
    iodineauth.cpp
    iodine.h
    iodinewidget.h
    iodineauth.h
)
ki18n_wrap_ui(plasmanetworkmanagement_iodineui iodine.ui iodineauth.ui)

target_link_libraries(plasmanetworkmanagement_iodineui
    plasmanm_internal
    plasmanm_editor
    KF6::CoreAddons
    KF6::I18n
    KF6::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_iodineui  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)

=== vpn/strongswan/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_strongswanui\")



add_library(plasmanetworkmanagement_strongswanui MODULE)
target_sources(plasmanetworkmanagement_strongswanui PRIVATE
   strongswan.cpp
   strongswanwidget.cpp
   strongswanauth.cpp
   strongswan.h
   strongswanwidget.h
   strongswanauth.h
   )
ki18n_wrap_ui(plasmanetworkmanagement_strongswanui strongswanprop.ui strongswanauth.ui)

target_link_libraries(plasmanetworkmanagement_strongswanui
    plasmanm_internal
    plasmanm_editor
    KF6::CoreAddons
    KF6::I18n
    KF6::KIOWidgets
)

install(TARGETS plasmanetworkmanagement_strongswanui  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)

=== debian/changelog ===
plasma-nm (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:34:01 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libkirigami-dev (>= 6.18.0~),
                libnm-dev (>= 1.4.0~),
                libopenconnect-dev (>= 3.99~),
-               libplasma-dev (>= 6.5.1~),
+               libplasma-dev (>= 6.5.2~),
                libqca-qt6-dev (>= 2.1.0~),
                mobile-broadband-provider-info,
                modemmanager-dev (>= 1.0.0~),

## plasma-nm 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(plasma-networkmanagement)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-nm (4:6.5.3-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Skip the whole MobileProvidersTest::testProviderFromMccMnc() test, and only
    part of it, as it relies on the data provided by an older version of
    mobile-broadband-provider-info; patch
    tests-skip-testProviderFromMccMnc.diff (Closes: #1121042)
    - drop patch skip-providers-test.patch, obsoleted by the new one
  * Simplify lintian overrides.
  * Use /usr/share/dpkg/architecture.mk rather than querying for variables
    manually.

 -- Pino Toscano <pino@debian.org>  Tue, 25 Nov 2025 18:23:27 +0100

plasma-nm (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:40 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libkirigami-dev (>= 6.18.0~),
                libnm-dev (>= 1.4.0~),
                libopenconnect-dev (>= 3.99~),
-               libplasma-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
                libqca-qt6-dev (>= 2.1.0~),
                mobile-broadband-provider-info,
                modemmanager-dev (>= 1.0.0~),

## plasma-nm 6.5.3+p24.04+vunstable+git20251130.0152

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(plasma-networkmanagement)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
@@ -62,6 +62,7 @@
     DBusAddons
     KIO
     I18n
+    JobWidgets
     NetworkManagerQt
     Notifications
     Service
@@ -96,6 +97,10 @@
                        TYPE RUNTIME
                        PURPOSE "Needed to create mobile barcodes for WiFi networks"
                       )
+
+find_package(KF6QuickCharts ${KF6_MIN_VERSION} CONFIG)
+set_package_properties(KF6QuickCharts PROPERTIES
+                       TYPE RUNTIME)
 
 pkg_check_modules(NETWORKMANAGER IMPORTED_TARGET libnm>1.4.0 REQUIRED)
 pkg_check_modules(MOBILEBROADBANDPROVIDERINFO mobile-broadband-provider-info)

=== libs/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement-libs\")




add_library(plasmanm_internal SHARED)
generate_export_header(plasmanm_internal)

ecm_qt_declare_logging_category(plasmanm_internal HEADER plasma_nm_libs.h IDENTIFIER PLASMA_NM_LIBS_LOG CATEGORY_NAME org.kde.plasma.nm.libs DESCRIPTION "Plasma NM (libs)" EXPORT PLASMANM)
target_sources(plasmanm_internal PRIVATE
    models/appletproxymodel.cpp
    models/creatableconnectionsmodel.cpp
    models/editorproxymodel.cpp
    models/kcmidentitymodel.cpp
    models/mobileproxymodel.cpp
    models/networkitemslist.cpp
    models/networkmodel.cpp
    models/networkmodelitem.cpp
    configurationproxy.cpp
    handler.cpp
    models/appletproxymodel.h
    models/creatableconnectionsmodel.h
    models/editorproxymodel.h
    models/kcmidentitymodel.h
    models/mobileproxymodel.h
    models/networkitemslist.h
    models/networkmodel.h
    models/networkmodelitem.h
    configurationproxy.h
    handler.h
    availabledevices.cpp
    connectionicon.cpp
    enabledconnections.cpp
    enums.cpp
    networkstatus.cpp
    qrcahandler.cpp
    wirelessstatus.cpp
    availabledevices.h
    connectionicon.h
    enabledconnections.h
    enums.h
    networkstatus.h
    qrcahandler.h
    wirelessstatus.h
)

target_include_directories(plasmanm_internal PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/models)

target_link_libraries(plasmanm_internal
PUBLIC
    KF6::NetworkManagerQt
    plasmanm_editor
    PkgConfig::NETWORKMANAGER
    QCoro::Core
PRIVATE
    Qt6::Qml
    KF6::I18n
    KF6::JobWidgets
    KF6::Notifications
    KF6::Service
    KF6::Wallet
    KF6::WindowSystem
    KF6::KIOGui
    QCoro::DBus
)

target_link_libraries(plasmanm_internal PUBLIC KF6::ModemManagerQt)

ecm_add_qml_module(plasmanm_internal URI org.kde.plasma.networkmanagement GENERATE_PLUGIN_SOURCE DEPENDENCIES "org.kde.networkmanager")

file(GLOB_RECURSE _qml_sources
    "qml/*.qml"
    "qml/*.js"
)
ecm_target_qml_sources(plasmanm_internal SOURCES ${_qml_sources})

ecm_finalize_qml_module(plasmanm_internal)

install(TARGETS plasmanm_internal ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(editor)

=== debian/changelog ===
plasma-nm (4:6.5.3+p24.04+vunstable+git20251130.0152-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 01:53:03 +0000

plasma-nm (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:32 +1000

plasma-nm (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:48 +1000

## plasma-nm 6.5.3+p24.04+vunstable+git20251202.1054

=== debian/changelog ===
plasma-nm (4:6.5.3+p24.04+vunstable+git20251202.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:54:50 +0000

## plasma-nm 6.5.3+p24.04+vunstable+git20251209.0510

=== debian/changelog ===
plasma-nm (4:6.5.3+p24.04+vunstable+git20251209.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:10:59 +0000

## plasma-nm 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(plasma-networkmanagement)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
@@ -62,7 +62,6 @@
     DBusAddons
     KIO
     I18n
-    JobWidgets
     NetworkManagerQt
     Notifications
     Service
@@ -97,10 +96,6 @@
                        TYPE RUNTIME
                        PURPOSE "Needed to create mobile barcodes for WiFi networks"
                       )
-
-find_package(KF6QuickCharts ${KF6_MIN_VERSION} CONFIG)
-set_package_properties(KF6QuickCharts PROPERTIES
-                       TYPE RUNTIME)
 
 pkg_check_modules(NETWORKMANAGER IMPORTED_TARGET libnm>1.4.0 REQUIRED)
 pkg_check_modules(MOBILEBROADBANDPROVIDERINFO mobile-broadband-provider-info)

=== debian/changelog ===
plasma-nm (4:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:53:03 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libkirigami-dev (>= 6.18.0~),
                libnm-dev (>= 1.4.0~),
                libopenconnect-dev (>= 3.99~),
-               libplasma-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
                libqca-qt6-dev (>= 2.1.0~),
                mobile-broadband-provider-info,
                modemmanager-dev (>= 1.0.0~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# limit the build of OpenConnect VPN to archs where qtwebengine is available
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386))
	extra_cmake_args += -DBUILD_OPENCONNECT=ON
else
	extra_cmake_args += -DBUILD_OPENCONNECT=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(extra_cmake_args)

## plasma-nm 6.5.4+p24.04+vstable+git20260107.0943

=== debian/changelog ===
plasma-nm (4:6.5.4+p24.04+vstable+git20260107.0943-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:43:22 +0000

plasma-nm (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:47 +1000

## plasma-nm 6.5.4+p24.04+vstable+git20260109.0312

=== debian/changelog ===
plasma-nm (4:6.5.4+p24.04+vstable+git20260109.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 03:12:19 +0000

## plasma-nm 6.5.5

=== debian/changelog ===
plasma-nm (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:08:00 +0000

plasma-nm (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:07:22 +0000

plasma-nm (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:20:44 +0000

plasma-nm (4:6.5.3-0ubuntu2) resolute; urgency=medium

  * Disable build time tests.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 23:04:42 +0000

plasma-nm (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:23 +0000

plasma-nm (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:04 +0000

plasma-nm (4:6.5.1-0ubuntu2) resolute; urgency=medium

  * Add qrca to recommends as per KDE upstream.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Nov 2025 18:49:05 +0000

plasma-nm (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:23 +0000

plasma-nm (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:39:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: plasma-nm
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6colorscheme-dev (>= 6.18.0~),
@@ -31,7 +32,7 @@
                libkirigami-dev (>= 6.18.0~),
                libnm-dev (>= 1.4.0~),
                libopenconnect-dev (>= 3.99~),
-               libplasma-dev (>= 6.5.4~),
+               libplasma-dev (>= 6.5.5~),
                libqca-qt6-dev (>= 2.1.0~),
                mobile-broadband-provider-info,
                modemmanager-dev (>= 1.0.0~),
@@ -42,22 +43,23 @@
                qt6-webengine-dev (>= 6.9.0~) [amd64 arm64 armhf i386],
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma-nm
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
+Rules-Requires-Root: no
 
 Package: plasma-nm
 Architecture: linux-any
 Depends: mobile-broadband-provider-info,
          network-manager,
          plasma-desktoptheme,
-         qml6-module-org-kde-config,
+         qml6-module-org-kde-config (>= 6.18.0~),
          qml6-module-org-kde-coreaddons,
-         qml6-module-org-kde-kcmutils,
-         qml6-module-org-kde-kirigami,
-         qml6-module-org-kde-kquickcontrolsaddons,
+         qml6-module-org-kde-kcmutils (>= 6.18.0~),
+         qml6-module-org-kde-kirigami (>= 6.18.0~),
+         qml6-module-org-kde-kquickcontrolsaddons (>= 6.18.0~),
          qml6-module-org-kde-ksvg,
          qml6-module-org-kde-networkmanager,
-         qml6-module-org-kde-prison,
+         qml6-module-org-kde-prison (>= 6.18.0~),
          qml6-module-org-kde-quickcharts,
          qml6-module-qtquick,
          qml6-module-qtquick-controls,
@@ -65,8 +67,7 @@
          qml6-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: kwallet6,
-            systemsettings,
+Recommends: kwallet6, qrca, systemsettings,
 Suggests: network-manager-fortisslvpn,
           network-manager-iodine,
           network-manager-l2tp,

## plasma-nm 6.5.5+p24.04+vstable+git20260130.0912

=== debian/changelog ===
plasma-nm (4:6.5.5+p24.04+vstable+git20260130.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:12:50 +0000

plasma-nm (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:30:42 +1000

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-kitemviews-dev,
               kf6-knotifications-dev,
               kf6-kquickcharts-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-modemmanager-qt-dev,
               kf6-networkmanager-qt-dev,
               kf6-prison-dev,
               kf6-solid-dev,
               libcups2-dev,
               libnm-dev,
               libopenconnect-dev,
               libplasma-dev,
               libqca-qt6-dev,
               mobile-broadband-provider-info,
               modemmanager-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-nm.git
Vcs-Git: https://invent.kde.org/neon/kde/plasma-nm.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-nm
Maintainer: Neon CI <neon@kde.org>

Package: plasma-nm
Architecture: linux-any
Depends: kf6-kcmutils,
         kf6-kcoreaddons,
         kf6-kdeclarative,
         kf6-kirigami2,
         kf6-kquickcharts,
         kf6-ksvg,
         kf6-prison,
         libplasma6,
         mobile-broadband-provider-info,
         network-manager,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kf6-kwallet
Suggests: network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-vpnc
Breaks: plasma-settings (<< 25.02.0)
Replaces: kde-config-mobile-networking,
          plasma-nm-data,
          plasma-settings (<< 25.02.0)
Description: Plasma 6 networkmanager library.
 Plasma desktop network manager.
 .
 This package is part of the KDE Plasma.

## plasma-nm 6.5.5+p24.04+vstable+git20260202.1022

=== debian/changelog ===
plasma-nm (4:6.5.5+p24.04+vstable+git20260202.1022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:22:54 +0000

## plasma-nm 6.5.5+p24.04+vstable+git20260205.0525

=== debian/changelog ===
plasma-nm (4:6.5.5+p24.04+vstable+git20260205.0525-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 05:25:41 +0000

## plasma-nm 6.5.5+p24.04+vunstable+git20260204.0040

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(plasma-networkmanagement)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.6.80")
 
-set(PROJECT_DEP_VERSION "6.5.4")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -62,6 +62,7 @@
     DBusAddons
     KIO
     I18n
+    JobWidgets
     NetworkManagerQt
     Notifications
     Service
@@ -96,6 +97,10 @@
                        TYPE RUNTIME
                        PURPOSE "Needed to create mobile barcodes for WiFi networks"
                       )
+
+find_package(KF6QuickCharts ${KF6_MIN_VERSION} CONFIG)
+set_package_properties(KF6QuickCharts PROPERTIES
+                       TYPE RUNTIME)
 
 pkg_check_modules(NETWORKMANAGER IMPORTED_TARGET libnm>1.4.0 REQUIRED)
 pkg_check_modules(MOBILEBROADBANDPROVIDERINFO mobile-broadband-provider-info)

=== debian/changelog ===
plasma-nm (4:6.5.5+p24.04+vunstable+git20260204.0040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:40:50 +0000

## plasma-nm 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(plasma-networkmanagement)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== kcms/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(kcm_cellularnetwork)
add_subdirectory(kcm_hotspot)
add_subdirectory(kcm_wifi_mobile)
add_subdirectory(kcm_wired_mobile)
add_subdirectory(kcm_connections)

=== libs/editor/CMakeLists.txt ===
set(plasmanm_editor_SRCS
    configuration.cpp configuration.h
    uiutils.cpp uiutils.h
    connectiondetails.cpp connectiondetails.h
    connectioneditorbase.cpp
    connectioneditorbase.h
    connectioneditordialog.cpp
    connectioneditordialog.h
    connectioneditortabwidget.cpp
    connectioneditortabwidget.h
    listvalidator.cpp
    listvalidator.h
    settings/bondwidget.cpp
    settings/bondwidget.h
    settings/bridgewidget.cpp
    settings/bridgewidget.h
    settings/btwidget.cpp
    settings/btwidget.h
    settings/cdmawidget.cpp
    settings/cdmawidget.h
    settings/connectionwidget.cpp
    settings/connectionwidget.h
    settings/connectionstatuswidget.cpp
    settings/connectionstatuswidget.h
    settings/gsmwidget.cpp
    settings/gsmwidget.h
    settings/infinibandwidget.cpp
    settings/infinibandwidget.h
    settings/ipv4widget.cpp
    settings/ipv4widget.h
    settings/ipv6widget.cpp
    settings/ipv6widget.h
    settings/pppoewidget.cpp
    settings/pppoewidget.h
    settings/pppwidget.cpp
    settings/pppwidget.h
    settings/security802-1x.cpp
    settings/security802-1x.h
    settings/teamwidget.cpp
    settings/teamwidget.h
    settings/vlanwidget.cpp
    settings/vlanwidget.h
    settings/wificonnectionwidget.cpp
    settings/wificonnectionwidget.h
    settings/wifisecurity.cpp
    settings/wifisecurity.h
    settings/wiredconnectionwidget.cpp
    settings/wiredconnectionwidget.h
    settings/wiredsecurity.cpp
    settings/wiredsecurity.h
    settings/wireguardinterfacewidget.cpp
    settings/wireguardinterfacewidget.h
    settings/wireguardpeerwidget.cpp
    settings/wireguardpeerwidget.h
    settings/wireguardtabwidget.cpp
    settings/wireguardtabwidget.h

    simpleiplistvalidator.cpp
    simpleiplistvalidator.h
    simpleipv4addressvalidator.cpp
    simpleipv4addressvalidator.h
    simpleipv6addressvalidator.cpp
    simpleipv6addressvalidator.h
    vpnuiplugin.cpp
    vpnuiplugin.h

    widgets/advancedpermissionswidget.cpp
    widgets/advancedpermissionswidget.h
    widgets/bssidcombobox.cpp
    widgets/bssidcombobox.h
    widgets/delegate.cpp
    widgets/delegate.h
    widgets/editlistdialog.cpp
    widgets/editlistdialog.h
    widgets/hwaddrcombobox.cpp
    widgets/hwaddrcombobox.h
    widgets/intdelegate.cpp
    widgets/intdelegate.h
    widgets/ipv4delegate.cpp
    widgets/ipv4delegate.h
    widgets/ipv4routeswidget.cpp
    widgets/ipv4routeswidget.h
    widgets/ipv6delegate.cpp
    widgets/ipv6delegate.h
    widgets/ipv6routeswidget.cpp
    widgets/ipv6routeswidget.h
    widgets/passwordfield.cpp
    widgets/passwordfield.h
    widgets/settingwidget.cpp
    widgets/settingwidget.h
    widgets/ssidcombobox.cpp
    widgets/ssidcombobox.h
    widgets/mobileconnectionwizard.cpp
    widgets/mobileconnectionwizard.h
    wireguardkeyvalidator.cpp
    wireguardkeyvalidator.h
    mobileproviders.cpp
    mobileproviders.h
    interfacenamevalidator.cpp
    interfacenamevalidator.h
)

ki18n_wrap_ui(plasmanm_editor_SRCS
    settings/ui/802-1x.ui
    settings/ui/bond.ui
    settings/ui/bridge.ui
    settings/ui/bt.ui
    settings/ui/cdma.ui
    settings/ui/connectionwidget.ui
    settings/ui/gsm.ui
    settings/ui/infiniband.ui
    settings/ui/ipv4.ui
    settings/ui/ipv6.ui
    settings/ui/ppp.ui
    settings/ui/pppoe.ui
    settings/ui/team.ui
    settings/ui/vlan.ui
    settings/ui/team.ui
    settings/ui/wificonnectionwidget.ui
    settings/ui/wifisecurity.ui
    settings/ui/wiredconnectionwidget.ui
    settings/ui/wiredsecurity.ui
    settings/ui/wireguardinterfacewidget.ui
    settings/ui/wireguardtabwidget.ui
    settings/ui/wireguardpeerwidget.ui

    widgets/ui/advancedpermissionswidget.ui
    widgets/ui/ipv4routes.ui
    widgets/ui/ipv6routes.ui

    connectioneditortabwidget.ui
)

ecm_qt_declare_logging_category(plasmanm_editor_SRCS HEADER plasma_nm_editor.h IDENTIFIER PLASMA_NM_EDITOR_LOG CATEGORY_NAME org.kde.plasma.nm.editor DESCRIPTION "Plasma NM (editor)" EXPORT PLASMANM)

add_library(plasmanm_editor SHARED ${plasmanm_editor_SRCS})
generate_export_header(plasmanm_editor)

target_include_directories(plasmanm_editor
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/widgets
        ${CMAKE_CURRENT_SOURCE_DIR}
    PRIVATE
        ${CMAKE_SOURCE_DIR}/libs
)

target_link_libraries(plasmanm_editor
PUBLIC
    KF6::ColorScheme
    KF6::Completion
    KF6::NetworkManagerQt
    KF6::WidgetsAddons
    KF6::ModemManagerQt
    Qt::Widgets
    Qt::Xml
PRIVATE
    KF6::I18n
    KF6::KIOWidgets
    KF6::Notifications
    KF6::Solid
    KF6::Wallet
    Qt::DBus
    Qt::Network
    qca-qt6
)

target_compile_definitions(plasmanm_editor PRIVATE BROADBANDPROVIDER_DATABASE=\"${BROADBANDPROVIDER_DATABASE}\")

install(TARGETS plasmanm_editor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
plasma-nm (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:16:15 +0000

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libkf6colorscheme-dev (>= 6.22.0~),
               libkf6completion-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6dbusaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6kcmutils-dev (>= 6.22.0~),
               libkf6kio-dev (>= 6.22.0~),
               libkf6modemmanagerqt-dev (>= 6.22.0~),
               libkf6networkmanagerqt-dev (>= 6.22.0~),
               libkf6notifications-dev (>= 6.22.0~),
               libkf6prison-dev (>= 6.22.0~),
               libkf6service-dev (>= 6.22.0~),
               libkf6solid-dev (>= 6.22.0~),
               libkf6svg-dev (>= 6.22.0~),
               libkf6wallet-dev (>= 6.22.0~),
               libkf6widgetsaddons-dev (>= 6.22.0~),
               libkf6windowsystem-dev (>= 6.22.0~),
               libkirigami-dev (>= 6.22.0~),
               libnm-dev (>= 1.4.0~),
               libopenconnect-dev (>= 3.99~),
               libplasma-dev (>= 6.6.1~),
               libqca-qt6-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-webengine-dev (>= 6.10.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-nm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Rules-Requires-Root: no

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-desktoptheme,
         qml6-module-org-kde-config (>= 6.22.0~),
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kcmutils (>= 6.22.0~),
         qml6-module-org-kde-kirigami (>= 6.22.0~),
         qml6-module-org-kde-kquickcontrolsaddons (>= 6.22.0~),
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-networkmanager,
         qml6-module-org-kde-prison (>= 6.22.0~),
         qml6-module-org-kde-quickcharts,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kwallet6, qrca, systemsettings,
Suggests: network-manager-fortisslvpn,
          network-manager-iodine,
          network-manager-l2tp,
          network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-ssh,
          network-manager-strongswan,
          network-manager-vpnc,
Description: Plasma network connections management
 plasma-nm provides a Plasma applet written in QML for managing network
 connections using Network Manager.
 .
 This package is part of the KDE Plasma.

## plasma-nm 6.6.2

=== debian/changelog ===
plasma-nm (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:24:27 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkirigami-dev (>= 6.22.0~),
                libnm-dev (>= 1.4.0~),
                libopenconnect-dev (>= 3.99~),
-               libplasma-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.2~),
                libqca-qt6-dev (>= 2.1.0~),
                mobile-broadband-provider-info,
                modemmanager-dev (>= 1.0.0~),
